# What is Covalent?

Covalent is a UI Platform focused on solving common enterprise needs. Covalent follows the Material Design spec and works along Angular Material to have a unified experience.

<br/>

## What is included?

Covalent modules live in separated npm packages:

**@covalent/core**

- Bundled with 20+ UI components
- Including: Fully pre-made layouts, data table, wizard stepper, custom pipes, services, utility functions and more

**@covalent/echarts**

- Atomic components made to facilitate visualizations
- 9+ chart types including: bar, scatter, treemap and more

**@covalent/highlight**

- Syntax highlighting with support for many languages

**@covalent/markdown-parser**

- Parse Github flavored markdown

**@covalent/flavored-markdown**

- Turn markdown into material components

**@covalent/markdown-navigator**

- Navigate through different sources of markdown
- Draggable window for showing inline documentation

**@covalent/dynamic-forms**

- Build forms from a JS object

**@covalent/code-editor**

- Multi-language code editor

**@covalent/text-editor**

- Simple markdown text editor component

<br/>

## Browser Support

Covalent is built on a CSS Flexbox layout and all layouts and components heavily rely up that support, so the current browsers are supported in order or recommendation:

#### Current version - 1 for the following:

| Chrome | Firefox | Safari | Edge | Mobile Chrome | Mobile Safari | IE11 |
| :----: | :-----: | :----: | :--: | :-----------: | :-----------: | :--: |
|   ✓    |    ✓    |   ✓    |  ✓   |       ~       |       ~       |  ~   |

<br/>

## Assumptions

Throughout the docs we consider familiarity with the following technologies:

- Angular
- Javascript/Typescript
- CSS/SCSS
- HTML
